- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Community.Routeros Collection Docs

# community.routeros.join filter – Join a list of arguments to a command

Note

This filter plugin is part of the community.routeros collection (version 2.10.0).

It is not included in `ansible-core`. To check whether it is installed, run `ansible-galaxy collection list`.

To install it, use: `ansible-galaxy collection install community.routeros`.

To use it in a playbook, specify: `community.routeros.join`.

New in community.routeros 2.0.0

## Synopsis

- Join and quotes a list of arguments to a command.

## Input

This describes the input of the filter, the value before `| community.routeros.join`.

Parameter | Comments
--- | ---
Input list / elements=string / required | A list of arguments to quote and join.

## Examples

    - name: Join arguments for a RouterOS CLI command
      ansible.builtin.set_fact:
        arguments: "{{ ['foo=bar', 'comment=foo is bar'] | community.routeros.join }}"
        # Should result in 'foo=bar comment="foo is bar"'

## Return Value

Key | Description
--- | ---
Return value string | The joined and quoted result. Returned: success

### Authors

- Felix Fontein (@felixfontein)

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.

### Collection links

- Issue Tracker
- Repository (Sources)
- Submit a bug report
- Request a feature
- Communication